textures/ssmc24-ulbens/lava_room_walls
{
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/ssmc24-ulbens/lava_room_walls.tga
        blendFunc filter
    }
}

textures/ssmc24-ulbens/stratosphere
{
    qer_editorImage env/ssmc24-ulbens/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodamage
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_surfacelight 115
    q3map_lightSubdivide 256
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 135 270 45 2 16
    skyParms env/ssmc24-ulbens/stratosphere - -
}

textures/ssmc24-ulbens/glass
{
	qer_editorImage textures/ssmc24-ulbens/tint.tga
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm slick
	surfaceParm noDamage
	surfaceParm trans
	{
		map $whiteimage
		blendFunc blend
		alphaGen const 0.1
	}
	{
		map textures/ssmc24-ulbens/tint.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/ssmc24-ulbens/wood
{
    q3map_bounceScale 0.7
	{
        map $lightmap
    }
    {
        map textures/ssmc24-ulbens/wood.tga
        blendFunc filter
    }
}

textures/ssmc24-ulbens/light
{
    qer_editorImage textures/ssmc24-ulbens/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
	surfaceparm nonsolid
    surfaceparm detail
    surfaceparm trans
    {
        map textures/ssmc24-ulbens/light.tga
    }
}

textures/ssmc24-ulbens/tileteal
{
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/ssmc24-ulbens/tileteal.tga
        blendFunc filter
    }
    {
        map textures/ssmc24-ulbens/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/ssmc24-ulbens/tilelavender
{
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/ssmc24-ulbens/tilelavender.tga
        blendFunc filter
    }
    {
        map textures/ssmc24-ulbens/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/ssmc24-ulbens/tiletan
{
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/ssmc24-ulbens/tiletan.tga
        blendFunc filter
    }
    {
        map textures/ssmc24-ulbens/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/ssmc24-ulbens/tilepickle
{
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/ssmc24-ulbens/tilepickle.tga
        blendFunc filter
    }
    {
        map textures/ssmc24-ulbens/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/ssmc24-ulbens/tileemerald
{
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/ssmc24-ulbens/tileemerald.tga
        blendFunc filter
    }
    {
        map textures/ssmc24-ulbens/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/ssmc24-ulbens/tilecoral
{
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/ssmc24-ulbens/tilecoral.tga
        blendFunc filter
    }
    {
        map textures/ssmc24-ulbens/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/ssmc24-ulbens/tileazure
{
    surfaceparm slick
	q3map_nonplanar
	q3map_shadeangle 100
	
    {
        map $lightmap
    }
    {
        map textures/ssmc24-ulbens/tileazure.tga
        blendFunc filter
    }
    {
        map textures/ssmc24-ulbens/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/ssmc24-ulbens/white
{
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/ssmc24-ulbens/white.tga
        blendFunc filter
    }
    {
        map textures/ssmc24-ulbens/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}